RELOC(1)

NAME
reloc - examine NetBSD/sparc symbol table and relocation information

SYNOPSIS
reloc [ -h -x -d -t -s -c -n -a ] infile

DESCRIPTION
reloc examines NetBSD/sparc object and executable files (a.out format files) and prints a.out header, symbol table and relocation information in a human-readable form on stdout.

Performs a function similar to the nm system utility, but prints more of the information contained in an a.out file.

OPTIONS

-h  Print a representation of the a.out ``exec'' header.

-x  Print extra information derivable from, but not directly contained by the a.out header.

-d  Print a representation of the ``.data'' segment relocation information.

-t  Print a representation of the ``.text'' segment relocation information.

-s  Print a representation of the symbol table information.

-c  When printing relocation information, show the correspondence of the relocations to symbol table entries.

-c  When printing symbol table, don't print symbol names

-a  Show everything: equivalent to ``-h -d -t -s -c -x''

FILES
infile must be specified.

BUGS

The output format is awkward.

SEE ALSO
a.out(5), stab(5), nm(1), nlist(3)

AUTHOR
Bruce Ediger, bediger@csn.net

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, without any conditions or restrictions. This software is provided ``as is'' without express or implied warranty.